#enderpearl giving
execute unless score Delay Data matches 0 positioned 1000 65 1000 if score Delay Temp matches 0 run summon item ~ ~1 ~ {Glowing: 1b, Age: -32768, Item: {id: "minecraft:ender_pearl", Count: 1b}}
execute unless score Delay Data matches 0 positioned 1000 65 1000 if score Delay Temp matches 0 run team join NoExplode @e[type=item,distance=..2,limit=1]
execute unless score Delay Data matches 0 positioned 1000 65 1000 if score Delay Temp matches ..0 run scoreboard players operation Delay Temp = Delay Data
execute unless score Delay Data matches 0 positioned 1000 65 1000 unless entity @e[distance=..2,type=item] unless entity @a[gamemode=adventure,distance=..2] run scoreboard players remove Delay Temp 1
execute if score Delay Data matches 0 as @a at @s if score @s KillsF matches 1 run give @s ender_pearl
execute unless block 1000 64 1000 sea_lantern run setblock 1000 64 1000 sea_lantern
execute unless block 17 146 0 minecraft:birch_sapling run setblock 17 146 0 minecraft:birch_sapling

#lobby music
execute positioned 0 142 0 as @a[tag=!music,distance=..200] at @s run playsound ss:music.lobby record @s ~ ~ ~ 0.15
execute positioned 0 142 0 as @a[tag=!music,distance=..200] at @s run tag @s add music

execute positioned 0 142 0 as @a[tag=music,distance=200..] at @s run stopsound @s record ss:music.lobby
execute positioned 0 142 0 as @a[tag=music,distance=200..] at @s run tag @s remove music

#give required effects
effect give @a resistance 1000000 255 true
effect give @a saturation 1000000 255 true
execute if score Glow Data matches 1 if score Glow Temp matches 1 run effect give @a glowing 1000000 255 true
execute positioned 0 142 0 run effect clear @a[distance=..200] glowing
execute if score Glow Data matches 2 run effect clear @a glowing
execute if score Glow Temp matches 2 run effect clear @a glowing
effect give @e[tag=Invisible] invisibility 100000 100 true

kill @e[type=area_effect_cloud]

#give the gloves
execute as @e[type=item,tag=!processed] run data modify entity @s Owner set from entity @s Thrower
execute as @e[type=item,tag=!processed] run data modify entity @s PickupDelay set value 0
tag @e[type=item] add processed
scoreboard players operation $max Kills > @a Kills
execute positioned 0 142 0 as @a[distance=200..,tag=max_kills] unless score @s Kills = $max Kills run clear @s stick{CustomModelData: 2}
execute positioned 0 142 0 as @a[distance=200..,tag=max_kills] unless score @s Kills = $max Kills run item replace entity @s hotbar.0 with stick{Unbreakable: 1, display: {Name: '[{"text":"SuperSmackinator","italic":false}]', Lore: ['[{"text":"Smackinate everyone untill they cant take it anymore!","italic":false}]']}, Enchantments: [{id: "knockback", lvl: 2}, {id: "multishot", lvl: 1}], HideFlags: 5, CustomModelData: 1}
execute positioned 0 142 0 as @a[distance=200..,tag=!max_kills] if score @s Kills = $max Kills run clear @s stick{CustomModelData: 1}
execute positioned 0 142 0 as @a[distance=200..,tag=!max_kills] if score @s Kills = $max Kills run item replace entity @s hotbar.0 with stick{Unbreakable: 1, display: {Name: '[{"text":"SuperSmackinator","italic":false}]', Lore: ['[{"text":"Smackinate everyone untill they cant take it anymore!","italic":false}]']}, Enchantments: [{id: "knockback", lvl: 2}, {id: "multishot", lvl: 1}], HideFlags: 5, CustomModelData: 2}
execute positioned 0 142 0 as @a[distance=200..,tag=!max_kills] if score @s Kills = $max Kills run tag @s add max_kills
execute positioned 0 142 0 as @a[distance=200..,tag=max_kills] unless score @s Kills = $max Kills run tag @s remove max_kills

execute positioned 0 142 0 run clear @a[distance=..200] stick

execute as @a store result score @s Stick_count run clear @s stick 0
execute as @a if score @s Stick_count matches 2.. run clear @s stick
execute as @a if score @s Stick_count matches 2.. run give @s stick{Unbreakable: 1, display: {Name: '[{"text":"SuperSmackinator","italic":false}]', Lore: ['[{"text":"Smackinate everyone untill they cant take it anymore!","italic":false}]']}, Enchantments: [{id: "knockback", lvl: 2}, {id: "multishot", lvl: 1}], HideFlags: 5, CustomModelData: 1}

execute as @a store result score @s Max_Stick_count run clear @s stick{CustomModelData: 2} 0
execute if score Sudden Temp matches 120.. as @a if score @s Max_Stick_count matches 1.. run clear @s stick{CustomModelData: 2}

#kill players who are supposed to be dead
kill @a[x=1050,y=-40,z=1050,dy=-10,dx=-100,dz=-100]

#check villager clicks
execute positioned -17 144 0 if entity @a[distance=..7,scores={Villager=1}] if score Players Data matches 2.. unless score Teams Data matches 2 run function sumo:start
execute positioned -17 144 0 if entity @a[distance=..7,scores={Villager=1}] if score Players Data matches 1 run tellraw @a ["",{"text":"\n\n\n\n\n--------------------------------------","color": "cyan","bold": false},{"text":"\nMinimum of 2 players is needed to play","color": "red","bold": false},{"text":"\n--------------------------------------\n\n","color": "cyan","bold": false}]
execute if score Green Temp matches 2 if score Yellow Temp matches 2 run function sumo:start
execute positioned 35 144 18 if entity @a[distance=..5,scores={Villager=1}] run function settings:ready_t1
execute positioned 35 144 -18 if entity @a[distance=..5,scores={Villager=1}] run function settings:ready_t2
execute if block 0 145 21 stone_button[powered=true] run function sumo:secret_button

#lives counter
execute as @a[scores={Deaths=1}] run scoreboard players remove @s Lives 1
execute as @a[scores={Deaths=1,Lives=..0}] run gamemode spectator @s
execute as @a[scores={Deaths=1,Lives=1..}] run item replace entity @s weapon.offhand with ender_pearl
execute positioned 0 142 0 run scoreboard players reset @a[distance=..200] Lives

#jumpbads
execute as @a[tag=!Jump1] at @s if block ~ ~-1 ~ sponge run playsound ss:effects.charge weather @s ~ ~ ~ 1
execute as @a[tag=!Jump1] at @s if block ~ ~-1 ~ sponge run tag @s add Jump1
effect give @a[tag=Jump1] jump_boost 1 7 true
execute as @a at @s unless block ~ ~-1 ~ sponge run stopsound @s weather ss:effects.charge
execute as @a[tag=Jump1] at @s unless block ~ ~-1 ~ sponge run effect clear @s jump_boost
execute as @a[tag=Jump1,scores={jumps=1}] at @s unless block ~ ~-1 ~ sponge run scoreboard players add @s data_jump_bad 1
execute as @a[tag=Jump1,scores={jumps=1}] at @s unless block ~ ~-1 ~ sponge run playsound ss:effects.jump weather @a ~ ~ ~ 1
execute as @a[tag=Jump1,scores={jumps=1}] at @s unless block ~ ~-1 ~ sponge run particle dust 0 1 0 1 ~ ~-1 ~ 0.2 0 0.2 0.1 200 normal
execute as @a[tag=Jump1] at @s unless block ~ ~-1 ~ sponge run tag @s remove Jump1

execute as @a[tag=!Jump2] at @s if block ~ ~-1 ~ wet_sponge run playsound ss:effects.charge_l weather @s ~ ~ ~ 1
execute as @a[tag=!Jump2] at @s if block ~ ~-1 ~ wet_sponge run tag @s add Jump2
effect give @a[tag=Jump2] jump_boost 1 12 true
execute as @a at @s unless block ~ ~-1 ~ wet_sponge run stopsound @s weather ss:effects.charge_l
execute as @a[tag=Jump2] at @s unless block ~ ~-1 ~ wet_sponge run effect clear @s jump_boost
execute as @a[tag=Jump2,scores={jumps=1}] at @s unless block ~ ~-1 ~ wet_sponge run scoreboard players add @s data_jump_bad 1
execute as @a[tag=Jump2,scores={jumps=1}] at @s unless block ~ ~-1 ~ wet_sponge run playsound ss:effects.jump_l weather @a ~ ~ ~ 1
execute as @a[tag=Jump2,scores={jumps=1}] at @s unless block ~ ~-1 ~ wet_sponge run particle dust 0.5 0 1 1 ~ ~-1.5 ~ 0.2 0 0.2 0.1 200 normal
execute as @a[tag=Jump2] at @s unless block ~ ~-1 ~ wet_sponge run tag @s remove Jump2

# Who you killed
execute as @a[scores={KillsF=1..}] run playsound ss:effect.eliminate weather @s
execute as @a[scores={KillsF=1..}] run title @s actionbar [{"text":"[","color":"white"},{"text":"⚔","color":"green"},{"text":"] ","color":"white"},{"selector":"@a[scores={DeathF=1..}]"}]
execute as @a[scores={KillsF=1..}] at @s run playsound ss:effects.eliminate weather @s
scoreboard players set @a KillsF 0

#death messages
execute as @a[scores={Deaths=1}] run function sumo:death

# Rocket after death
execute at @a[scores={DeathF=1..},team=2] run summon firework_rocket ~ ~2 ~ {LifeTime: 15, FireworksItem: {id: "firework_rocket", Count: 1, tag: {Fireworks: {Flight: 1, Explosions: [{Type: 1, Flicker: 0, Trail: 0, Colors: [I; 14602026]}]}}}}
execute at @a[scores={DeathF=1..},team=1] run summon firework_rocket ~ ~2 ~ {LifeTime: 15, FireworksItem: {id: "firework_rocket", Count: 1, tag: {Fireworks: {Flight: 1, Explosions: [{Type: 1, Flicker: 0, Trail: 0, Colors: [I; 4312372]}]}}}}
scoreboard players set @a DeathF 0

#kill / tp too far entitys
execute positioned 1000 64 1000 run kill @e[type=ender_pearl,distance=100..125]
execute positioned 1000 64 1000 run tp @a[gamemode=spectator,distance=100..125] ~ ~ ~

#disable things in lobby
execute positioned 0 142 0 run effect give @a[distance=..200] weakness 999999 255 true
execute positioned 0 142 0 run tellraw @a[gamemode=!adventure,distance=..200,gamemode=!spectator] ["",{"text":"----------------------------------------------------\n \u0020 \u0020 \u0020 "},{"text":" WARNING, you have changed your gamemode!\n   \u0020 \u0020 \u0020 \u0020 \u0020This game is played in ","color":"red"},{"text":"adventure","color":"aqua"},{"text":" mode.","color":"red"},{"text":"\n----------------------------------------------------"}]
execute positioned 0 142 0 run scoreboard players reset @a[distance=..200,gamemode=!adventure,gamemode=!spectator] Lives
execute positioned 0 142 0 run gamemode adventure @a[distance=..200,gamemode=!adventure,gamemode=!spectator]

tellraw @a[gamemode=!adventure,gamemode=!spectator] ["",{"text":"----------------------------------------------------\n \u0020 \u0020 \u0020 "},{"text":" WARNING, you have changed your gamemode!\n   \u0020 \u0020 \u0020 \u0020 \u0020This game is played in ","color":"red"},{"text":"adventure","color":"aqua"},{"text":" mode.","color":"red"},{"text":"\n----------------------------------------------------"}]
scoreboard players reset @a[gamemode=!adventure,gamemode=!spectator] Lives
gamemode adventure @a[gamemode=!adventure,gamemode=!spectator]

#mark new players as players who left the game
scoreboard players add @a[scores={play_time=1}] Leaves 1

#tp players who leave
tag @a[scores={Leaves=1}] remove music
execute unless score Sudden Temp matches 132 run scoreboard players set @a[scores={Leaves=1}] Lives 0
execute unless score Sudden Temp matches 132 run gamemode spectator @a[scores={Leaves=1}]
execute unless score Sudden Temp matches 132 run tp @a[scores={Leaves=1}] 1000 65 1000

execute if score Sudden Temp matches 132 run scoreboard players set @a[scores={Leaves=1}] Lives 1
execute if score Sudden Temp matches 132 run gamemode adventure @a[scores={Leaves=1}]
execute if score Sudden Temp matches 132 run tp @a[scores={Leaves=1}] 0 143 0
execute if score Sudden Temp matches 132 run spawnpoint @a[scores={Leaves=1}] 0 143 0
execute if score Sudden Temp matches 132 run team leave @a[scores={Leaves=1}]
execute if score Sudden Temp matches 132 run clear @a[scores={Leaves=1}]

#execute game endings
#1 - random
#2 - pick
#3 - free for all
execute positioned 0 143 0 unless entity @a[distance=..100] unless score Sudden Temp matches 132 run scoreboard players set Alive Temp 0
execute positioned 0 143 0 unless entity @a[distance=..100] unless score Sudden Temp matches 132 as @a[gamemode=!spectator] at @s run scoreboard players add Alive Temp 1
execute positioned 0 143 0 unless entity @a[distance=..100] unless score Sudden Temp matches 132 if score Teams Data matches 1..2 if entity @a[team=1,gamemode=!spectator] unless entity @a[team=2,gamemode=!spectator] run function sumo:game_end
execute positioned 0 143 0 unless entity @a[distance=..100] unless score Sudden Temp matches 132 if score Teams Data matches 1..2 if entity @a[team=2,gamemode=!spectator] unless entity @a[team=1,gamemode=!spectator] run function sumo:game_end
execute positioned 0 143 0 unless entity @a[distance=..100] unless score Sudden Temp matches 132 if score Teams Data matches 3 if score Alive Temp matches 1 run function sumo:game_end

#give dead players needed stuff
execute as @a if score @s Deaths matches 1 run clear @s
execute unless score Sudden Temp matches 132 as @a if score @s Deaths matches 1 run item replace entity @s weapon.offhand with ender_pearl
execute unless score Sudden Temp matches 132 as @a if score @s Deaths matches 1 run item replace entity @s hotbar.0 with stick{Unbreakable: 1, display: {Name: '[{"text":"SuperSmackinator","italic":false}]', Lore: ['[{"text":"Smackinate everyone untill they cant take it anymore!","italic":false}]']}, Enchantments: [{id: "knockback", lvl: 2}, {id: "multishot", lvl: 1}], HideFlags: 5, CustomModelData: 1}

#dead player sounds
execute as @a at @s if score @s Deaths matches 1 run playsound entity.blaze.death weather @a ~ 60 ~ 0.5

#reset scoreboards
scoreboard players set @a Villager 0
scoreboard players reset @a Deaths
scoreboard players reset @a jumps
scoreboard players reset @a Leaves

#kill wrong ender pearls
kill @e[type=ender_pearl,x=954,y=44,z=987,dx=13,dy=38,dz=13]
kill @e[type=ender_pearl,x=994,y=39,z=1045,dx=-13,dy=38,dz=13]
kill @e[type=ender_pearl,x=1037,y=60,z=1020,dx=13,dy=38,dz=13]
kill @e[type=ender_pearl,x=996,y=49,z=946,dx=13,dy=38,dz=13]

#out of bounds voicelines
execute if score Map Data matches 7 as @a[gamemode=!spectator,x=1002,y=49,z=1008,dx=-4,dy=50,dz=4] at @s run playsound ss:voices.bounds voice @s ~ ~200 ~ 200
execute if score Map Data matches 7 as @a[gamemode=!spectator,x=997,y=87,z=1028,dx=4,dy=12,dz=-55] at @s run playsound ss:voices.bounds voice @s ~ ~200 ~ 200

execute if score Map Data matches 9 as @a[gamemode=!spectator,x=991,y=80,z=987,dx=5,dy=7,dz=5] at @s run playsound ss:voices.bounds voice @s ~ ~200 ~ 200
execute if score Map Data matches 9 as @a[gamemode=!spectator,x=1002,y=73,z=1011,dx=4,dz=2] at @s run playsound ss:voices.bounds voice @s ~ ~200 ~ 200

#out of bounds!
execute if score Map Data matches 7 run title @a[gamemode=!spectator,x=1002,y=49,z=1008,dx=-4,dy=50,dz=4] title {"text": "OUT OF BOUNDS!","color": "red"}
execute if score Map Data matches 7 run spreadplayers 1000 1000 5 20 false @a[gamemode=!spectator,x=1002,y=49,z=1008,dx=-4,dy=50,dz=4]
execute if score Map Data matches 7 run title @a[gamemode=!spectator,x=997,y=87,z=1028,dx=4,dy=12,dz=-55] title {"text": "OUT OF BOUNDS!","color": "red"}
execute if score Map Data matches 7 run spreadplayers 1000 1000 5 20 false @a[gamemode=!spectator,x=997,y=87,z=1028,dx=4,dy=12,dz=-55]

execute if score Map Data matches 9 run title @a[gamemode=!spectator,x=991,y=80,z=987,dx=5,dy=7,dz=5] title {"text": "OUT OF BOUNDS!","color": "red"}
execute if score Map Data matches 9 run spreadplayers 1000 1000 5 20 false @a[gamemode=!spectator,x=991,y=80,z=987,dx=5,dy=7,dz=5]
execute if score Map Data matches 9 run title @a[gamemode=!spectator,x=1002,y=73,z=1011,dx=4,dz=2] title {"text": "OUT OF BOUNDS!","color": "red"}
execute if score Map Data matches 9 run spreadplayers 1000 1000 5 20 false @a[gamemode=!spectator,x=1002,y=73,z=1011,dx=4,dz=2]

#dragon head
execute as @e[tag=dragon] at @s run tp @s ~ ~ ~ ~5 ~
execute at @e[tag=dragon] run item replace entity @a[distance=..2] armor.head with dragon_head{Enchantments: [{id: "minecraft:binding_curse", lvl: 1s}]}

#remove slow falling if too low 
execute if score Gravity Data matches 1 run effect clear @a[x=978,y=36,z=978,dx=44,dy=-86,dz=44] slow_falling
