#Generate random number
scoreboard objectives add Trap dummy
scoreboard players set $multiplier Trap 1664525
scoreboard players set $increment Trap 1013904223
scoreboard players operation $seed Trap *= $multiplier Trap
scoreboard players operation $seed Trap += $increment Trap
scoreboard players operation $result Trap += $seed Trap
scoreboard players set $range Trap 9
scoreboard players operation $result Trap %= $range Trap

#Smoke
execute if score $result Trap matches 0 run title @a title {"text":"SMOKE BOMB!","color":"red","bold":true}
execute if score $result Trap matches 0 as @a run playsound ss:voices.traps.smoke voice @s ~ ~200 ~ 200
execute if score $result Trap matches 0 as @a run playsound minecraft:block.fire.extinguish voice @s ~ ~ ~ 200 0
execute if score $result Trap matches 0 run effect give @a[gamemode=!spectator] blindness 15 1 true 
execute if score $result Trap matches 0 at @a[gamemode=!spectator] run particle minecraft:campfire_signal_smoke ~ ~ ~ 1 1 1 0.2 400 force
execute if score $result Trap matches 0 run scoreboard players set Glow Temp 2

#Zombies
execute if score $result Trap matches 1 run title @a title {"text":"SECURITY!","color":"red","bold":true}
execute if score $result Trap matches 1 as @a run playsound ss:voices.traps.zombies voice @s ~ ~200 ~ 200
execute if score $result Trap matches 1 as @a run playsound ss:effects.traps.zombies weather @s ~ ~200 ~ 200
execute if score $result Trap matches 1 at @a[gamemode=!spectator] run summon husk ~ ~10 ~ {CustomNameVisible:1b,CustomName:'{"text":"Eluant Security","color":"dark_purple","bold": true}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{CustomModelData:1,Enchantments:[{id:"minecraft:knockback",lvl:3s}]}},{}]}
execute if score $result Trap matches 1 at @a[gamemode=!spectator] run summon husk ~ ~10 ~ {CustomNameVisible:1b,CustomName:'{"text":"Eluant Security","color":"dark_purple","bold": true}',HandItems:[{id:"minecraft:stick",Count:1b,tag:{CustomModelData:1,Enchantments:[{id:"minecraft:knockback",lvl:3s}]}},{}]}
execute if score $result Trap matches 1 as @e[type=husk] at @s run effect give @s resistance 999999 200 true


#Dizzy 
execute if score $result Trap matches 2 run title @a title {"text":"GETTING DIZZY!","color":"red","bold":true}
execute if score $result Trap matches 2 as @a run playsound ss:voices.traps.dizzy voice @s ~ ~200 ~ 200
execute if score $result Trap matches 2 as @a run playsound ss:effects.traps.dizzy weather @s ~ ~200 ~ 200
execute if score $result Trap matches 2 as @a[gamemode=!spectator] run effect give @s nausea 15 1 true

#Invisible
execute if score $result Trap matches 3 run title @a title {"text":"POOF!","color":"red","bold":true}
execute if score $result Trap matches 3 as @a run playsound ss:voices.traps.invis voice @s ~ ~200 ~ 200
execute if score $result Trap matches 3 as @a run playsound ss:effects.traps.invis weather @s ~ ~200 ~ 200
execute if score $result Trap matches 3 as @a[gamemode=!spectator] run effect give @s invisibility 15 1 true
execute if score $result Trap matches 3 at @a[gamemode=!spectator] run particle minecraft:cloud ~ ~ ~ 0 -1 0 0.2 50 normal
execute if score $result Trap matches 3 run scoreboard players set Glow Temp 2

#Slowness
execute if score $result Trap matches 4 run title @a title {"text":"SLOW IT DOWN!","color":"red","bold":true}
execute if score $result Trap matches 4 as @a run playsound ss:voices.traps.slowness voice @s ~ ~200 ~ 200
execute if score $result Trap matches 4 as @a run playsound block.anvil.land weather @s ~ ~200 ~ 200
execute if score $result Trap matches 4 as @a[gamemode=!spectator] run effect give @s minecraft:slowness 15 4 true
execute if score $result Trap matches 4 as @a[gamemode=!spectator] run effect give @s minecraft:jump_boost 15 200 true

#JumpBoost
execute if score $result Trap matches 5 run title @a title {"text":"JUMPY!","color":"red","bold":true}
execute if score $result Trap matches 5 as @a run playsound ss:voices.traps.jump voice @s ~ ~200 ~ 200
execute if score $result Trap matches 5 as @a run playsound ss:effects.traps.jump weather @s ~ ~200 ~ 200
execute if score $result Trap matches 5 as @a[gamemode=!spectator] run effect give @s minecraft:jump_boost 15 2 true

#RandomTeleport
execute if score $result Trap matches 6 run title @a title {"text":"HAX!","color":"red","bold":true}
execute if score $result Trap matches 6 as @a run playsound ss:voices.traps.tp voice @s ~ ~200 ~ 200
execute if score $result Trap matches 6 as @a run playsound ss:effects.traps.tp weather @s ~ ~200 ~ 200
execute if score $result Trap matches 6 as @a at @s run spreadplayers 1000 1000 5 20 false @a[gamemode=!spectator]
execute if score $result Trap matches 6 at @a[gamemode=!spectator] run particle minecraft:dust 1 0 1 1 ^ ^ ^0.5 0.5 -1 0.5 0.2 50 normal

#CreeperBarrage 
execute if score $result Trap matches 7 run title @a title {"text":"BARRAGE INCOMING!","color":"red","bold":true}
execute if score $result Trap matches 7 as @a run playsound ss:voices.traps.creeper voice @s ~ ~200 ~ 200
execute if score $result Trap matches 7 as @a run playsound ss:effects.traps.creeper weather @s ~ ~200 ~ 200
execute if score $result Trap matches 7 at @a[gamemode=!spectator] run summon creeper ~ ~10 ~ {powered:1b,ExplosionRadius:5b,Fuse:10,ActiveEffects:[{Id:1b,Amplifier:5b,Duration:1999999980,ShowParticles:0b}],Attributes:[{Name:"generic.follow_range",Base:40}]}
execute if score $result Trap matches 7 run team join NoExplode @e[type=creeper]

#Float
execute if score $result Trap matches 8 run title @a title {"text":"GOING UP!","color":"red","bold":true}
execute if score $result Trap matches 8 as @a run playsound ss:voices.traps.float voice @s ~ ~200 ~ 200
execute if score $result Trap matches 8 as @a run playsound ss:effects.traps.float weather @s ~ ~200 ~ 200
execute if score $result Trap matches 8 as @a run effect give @s levitation 5 2 true