#calculate the rounds lost and won
scoreboard players add @a[gamemode=adventure] data_rounds_won 1
scoreboard players add @a[gamemode=spectator] data_rounds_lost 1

#win and lose sounds
execute as @a[gamemode=adventure] at @s run playsound ss:music.round_win record @s
execute as @a[gamemode=spectator] at @s run playsound ss:music.round_lose record @s

#stop the game
schedule clear sumo:low_garvity
stopsound @a
bossbar set sudden visible false
schedule clear sumo:countdown
scoreboard players set Sudden Temp 132

#tell who is the winner
tag @a remove Win
tag @a remove Win1
tag @a remove Win2
tag @a remove Win3
tag @a remove Win4
tag @a remove Win5

execute if score Teams Data matches 1..2 if entity @a[team=1,gamemode=!spectator] unless entity @a[team=2,gamemode=!spectator] run tag @a[team=1] add Win
execute if score Teams Data matches 1..2 if entity @a[team=2,gamemode=!spectator] unless entity @a[team=1,gamemode=!spectator] run tag @a[team=2] add Win
title @a clear
execute if score Teams Data matches 1..2 run tag @p[tag=Win,limit=1,tag=!Win2,tag=!Win3,tag=!Win4,tag=!Win5] add Win1
execute if score Teams Data matches 1..2 run tag @p[tag=Win,limit=1,tag=!Win1,tag=!Win3,tag=!Win4,tag=!Win5] add Win2
execute if score Teams Data matches 1..2 run tag @p[tag=Win,limit=1,tag=!Win1,tag=!Win2,tag=!Win4,tag=!Win5] add Win3
execute if score Teams Data matches 1..2 run tag @p[tag=Win,limit=1,tag=!Win1,tag=!Win2,tag=!Win3,tag=!Win5] add Win4
execute if score Teams Data matches 1..2 run tag @p[tag=Win,limit=1,tag=!Win1,tag=!Win2,tag=!Win3,tag=!Win4] add Win5

execute if score Teams Data matches 3 run tag @p[gamemode=adventure,limit=1] add Win1

title @a times 10 60 10

title @a title {"text":"Game Over!","color": "dark_purple","bold": true}

execute if score Teams Data matches 3 run title @a subtitle ["",{"text":"Winner: ","color": "green"},{"selector":"@a[tag=Win1]"}]

execute if score Teams Data matches 1..2 if entity @a[team=1,gamemode=!spectator] unless entity @a[team=2,gamemode=!spectator] run title @a subtitle ["",{"text": "Winner team: ","color": "dark_purple"},{"text": "GREEN","color": "green","bold": true}]
execute if score Teams Data matches 1..2 if entity @a[team=2,gamemode=!spectator] unless entity @a[team=1,gamemode=!spectator] run title @a subtitle ["",{"text": "Winner team: ","color": "dark_purple"},{"text": "YELLOW","color": "yellow","bold": true}]

execute if score Teams Data matches 1..2 run tellraw @a ["",{"text":"Winners: ","color": "green"},{"selector":"@a[tag=Win1]"},{"text": " "},{"selector":"@a[tag=Win2]"},{"text": " "},{"selector":"@a[tag=Win3]"},{"text": " "},{"selector":"@a[tag=Win4]"},{"text": " "},{"selector":"@a[tag=Win5]"}]
execute if score Teams Data matches 3 run tellraw @a ["",{"text":"Winner: ","color": "green"},{"selector":"@a[tag=Win1]"}]

tag @a remove Win
tag @a remove Win1
tag @a remove Win2
tag @a remove Win3
tag @a remove Win4
tag @a remove Win5

scoreboard objectives setdisplay belowName

scoreboard players set Glow Temp 1

#tp players to the center
execute if score Teams Data matches 2 run tp @a[team=1] 33 143 7
execute if score Teams Data matches 2 run tp @a[team=2] 33 143 -7
execute if score Teams Data matches 2 run tp @a[team=!1,team=!2] 0 143 0
execute unless score Teams Data matches 2 run tp @a 0 143 0

execute if score Teams Data matches 2 run spawnpoint @a[team=1] 33 143 7
execute if score Teams Data matches 2 run spawnpoint @a[team=2] 33 143 -7
execute if score Teams Data matches 2 run spawnpoint @a[team=!1,team=!2] 0 143 0
execute unless score Teams Data matches 2 run spawnpoint @a 0 143 0

#reset team rooms
item replace entity @e[tag=panelg] weapon.mainhand with nether_brick{CustomModelData: 2}
scoreboard players set Green Temp 1
setblock 35 153 21 emerald_block

scoreboard players set Yellow Temp 1
item replace entity @e[tag=panely] weapon.mainhand with nether_brick{CustomModelData: 2}
setblock 35 153 -21 gold_block

execute if score Teams Data matches 2 run clone 14 129 6 14 134 -6 18 143 -6

#player data 
team leave @a



gamemode adventure @a
scoreboard players reset @a Lives

clear @a
effect clear @a

#kill all mobs
kill @e[type=!player,type=!armor_stand,type=!item_frame,type=!strider,type=!villager]

#reset maps
worldborder warning distance 10

#set the best scores
tag @a remove Data_Temp
scoreboard players operation $max data_jump_bad > @a data_jump_bad
execute as @a if score @s data_jump_bad = $max data_jump_bad run tag @s add Data_Temp
data merge block 3 145 -27 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Jumps:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_jump_bad"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_deaths > @a data_deaths
execute as @a if score @s data_deaths = $max data_deaths run tag @s add Data_Temp
data merge block 3 145 -24 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Deaths:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_deaths"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_kills > @a data_kills
execute as @a if score @s data_kills = $max data_kills run tag @s add Data_Temp
data merge block 3 145 -21 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Kills:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_kills"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_pearl > @a data_pearl
execute as @a if score @s data_pearl = $max data_pearl run tag @s add Data_Temp
data merge block -3 145 -21 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Pearls:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_pearl"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_rounds_lost > @a data_rounds_lost
execute as @a if score @s data_rounds_lost = $max data_rounds_lost run tag @s add Data_Temp
data merge block -3 145 -24 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Rounds:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_rounds_lost"},"color":"green"}'}

tag @a remove Data_Temp
scoreboard players operation $max data_rounds_won > @a data_rounds_won
execute as @a if score @s data_rounds_won = $max data_rounds_won run tag @s add Data_Temp
data merge block -3 145 -27 {Text1: '{"text":""}', Text2: '{"selector":"@r[tag=Data_Temp]","color":"dark_purple","bold":true}', Text3: '{"text":"Rounds:","color":"green"}', Text4: '{"score":{"name":"@p[tag=Data_Temp]","objective":"data_rounds_won"},"color":"green"}'}
